com.ietnet.fse.igestore

## Class TypePolicy

- java.lang.Object
- - com.ietnet.fse.igestore.TypePolicy

-     public class TypePolicy
      extends java.lang.Object

  Contiene le informazioni sul consenso per ruolo istituzionale sui tipi di documento gestiti dal fascicolo.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypePolicy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDocumentType()` Restutisce l'identificativo FSE del tipo documento, secondo la codifica LOINC, cui si riferisce il permesso.
    `boolean` | `getRead()` Restituisce il permesso di lettura
    `java.lang.String` | `getRoleId()` Restituisce il ruolo istituzionale cui si riferisce il permesso
    `void` | `setDocumentType(java.lang.String documentType)` Imposta l'identificativo FSE del tipo documento, secondo la codifica LOINC, cui si riferisce il permesso.
    `void` | `setRead(boolean read)` Imposta il permesso di lettura.
    `void` | `setRoleId(java.lang.String roleId)` Imposta il ruolo istituzionale cui si riferisce il permesso.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypePolicy

          public TypePolicy()

  - ### Method Detail

    - #### getRoleId

          public java.lang.String getRoleId()

      Restituisce il ruolo istituzionale cui si riferisce il permesso
      Returns:
        il ruolo istituzionale dell'operatore

    - #### setRoleId

          public void setRoleId(java.lang.String roleId)

      Imposta il ruolo istituzionale cui si riferisce il permesso. Parametro obbligatorio.
      Parameters:
        `roleId` - il nuovo ruolo istituzionale

    - #### getRead

          public boolean getRead()

      Restituisce il permesso di lettura
      Returns:
        il permesso di lettura

    - #### setRead

          public void setRead(boolean read)

      Imposta il permesso di lettura. Parametro obbligatorio.
      Parameters:
        `read` - il nuovo permesso di lettura

    - #### getDocumentType

          public java.lang.String getDocumentType()

      Restutisce l'identificativo FSE del tipo documento, secondo la codifica LOINC, cui si riferisce il permesso. I possibili valori sono:
      - 29305-0 = Prescrizione farmaceutica
      - 11488-4 = Prescrizione specialistica
      - 34112-3 = Prescrizione di ricovero
      - 29304-3 = Erogato farmaceutico
      - 34109-9 = Erogato specialistico
      - 28653-4 = Certificato di malattia
      - 18842-5 = Scheda Dimissione Ospedaliera (SDO)
      - 60591-5 = Profilo Sanitario Sintetico (o Patient Summary)
      - 34878-9 = EDS (Emergency Data Set)
      - 47045-0 = Referto specialistico
      - 11502-2 = Referto di laboratorio
      Returns:
        il tipo documento

    - #### setDocumentType

          public void setDocumentType(java.lang.String documentType)

      Imposta l'identificativo FSE del tipo documento, secondo la codifica LOINC, cui si riferisce il permesso. Parametro obbligatorio. I possibili valori sono:
      - 29305-0 = Prescrizione farmaceutica
      - 11488-4 = Prescrizione specialistica
      - 34112-3 = Prescrizione di ricovero
      - 29304-3 = Erogato farmaceutico
      - 34109-9 = Erogato specialistico
      - 28653-4 = Certificato di malattia
      - 18842-5 = Scheda Dimissione Ospedaliera (SDO)
      - 60591-5 = Profilo Sanitario Sintetico (o Patient Summary)
      - 34878-9 = EDS (Emergency Data Set)
      - 47045-0 = Referto specialistico
      - 11502-2 = Referto di laboratorio
      Parameters:
        `documentType` - il nuovo tipo documento